Subject: Re: [patch 2.6.25-rc2-git] rndis_host: fix transfer size negotiation

From: Jussi Kivilinna <[email-masked]>
Date: Tue, 26 Feb 2008 08:51:27 +0200

On Mon, 2008-02-25 at 13:29 -0500, John W. Linville wrote:
> On Fri, Feb 22, 2008 at 05:31:16PM -0800, David Brownell wrote:
> > From: Jean-Christophe Dubois <[email-masked]>
> > 
> > This patch should resolve a problem that's troubled support for
> > some RNDIS peripherals.  It seems to have boiled down to using a
> > variable to establish transfer size limits before it was assigned,
> > which caused those devices to fallback to a default "jumbogram"
> > mode we don't support.  Fix by assigning it earlier for RNDIS.
> 
> Any chance that something like this is appropriate for rndis_wlan?
> 

This fix is automatically reflected to rndis_wlan since rndis_wlan
reuses that functions of that rndis_host module.

 - Jussi